<?php
session_start();

// Verificar si la clave introducida es igual a la generada anteriormente
if ($_POST['clave'] == $_SESSION['clave_generada']) {
  // Establecer la variable de sesión para indicar que la clave es válida
  $_SESSION['clave_valida'] = true;
  // Redireccionar al archivo form.php
  header('Location: form.php');
  exit();
} else {
  // Si la clave no coincide, redireccionar al archivo index.php con un mensaje de error
  header('Location: index.php?error=clave');
  exit();
}
?>


<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Validar código</title>
  <link rel="stylesheet" type="text/css" href="estilos.css">
</head>
<body>
  <header>
    <div class="banner">
      <img src="logo.png" alt="Logo de la página">
    </div>
  </header>

  <main>
    <div class="login-form">
      <h1>Introducir código</h1>
      <?php if (isset($error)): ?>
        <p>El código introducido es incorrecto</p>
      <?php endif; ?>
      <form action="" method="POST">
        <p>Clave generada: <?php echo $_SESSION['codigo']; ?></p>
        <label for="codigo">Código:</label>
        <input type="text" id="codigo" name="codigo" required>
        <input type="submit" value="Validar código">
      </form>
    </div>
  </main>
</body>
</html>
